lp:ubuntu/wily/libctl

Created by Ubuntu Package Importer on 2015-05-05 and last modified on 2015-05-05
Get this branch:
bzr branch lp:ubuntu/wily/libctl
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

13. By Thorsten Alteholz on 2014-05-02

debian/control: libctl-dev needs to debpend on guile 2.0 as well

12. By Thorsten Alteholz on 2014-05-02

* upload to unstable (Closes: #722791)
* new upstream release (Closes: #743467)
* debian/control: bump standard to 3.9.5 (no change)
* debian/control: really use guile 2.0 now (Closes: #738318, #746004)
* debian/rules: use --with autoreconf (Closes: #744604)

11. By Thorsten Alteholz on 2011-12-13

debian/rules: use cp instead of install

10. By Thorsten Alteholz on 2011-12-12

* debian/control: moved to dh 8
* debian/control: remove dependency on dpatch
* debian/control: remove dependency on cdbs
* debian/control: standards version 3.9.2, no changes
* debian/source: switch to format 3.0 (quilt)
* debian/README.source: moved to quilt
* debian/copyright: changed to DEP5 format
* debian/patches: moved from dpatch to quilt

9. By Thorsten Alteholz on 2011-04-09

* *.la files removed (Closes: #621516)
* Standards-Version changed to 3.9.1 (no changes needed)

8. By Thorsten Alteholz on 2009-12-09

* Standards-Version changed to 3.8.3 (no changes needed)
* patch in configure for sh4 added (Closes: #555525)
* debian/README.source added
* debian/control: DM-Upload-Allowed added

7. By Thorsten Alteholz on 2009-07-29

* new upstream release
  - New ellipsoid_overlap_with_object function, analogous to
    box_overlap_with_object function.
  - Bug fix in include function for recent versions of Guile, to properly
    keep track of the current include directory.
  - Bug fix in numerical-derivative routine, which didn't converge when the
    error was exactly zero.
* as there is no NLopt package availabe, NLopt is disabled
* changed Standards-Version to 3.8.2
* changed copyright notice from GPL to GPL-2 (pedantic lintian hint)

6. By Thorsten Alteholz on 2009-04-02

* added ldconfig in postinst and postrm to meet requirements
  of policy 8.1.1
* switched from guile-1.6 to guile-1.8 (Closes: #518804)
  patch from Evan Broder
* changed Standards-Version to 3.8.1

5. By Thorsten Alteholz on 2009-01-30

* removed lintian warnings:
  - added watch file
  - symbols control file added
  - dependency for misc:Depends added in control file

4. By Loic Le Guyader <email address hidden> on 2006-11-12

* New upstream release
* New maintainer (Closes: #393104)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/libctl
This branch contains Public information 
Everyone can see this information.

Subscribers